

# DescribeAccountAuditConfiguration
<a name="API_DescribeAccountAuditConfiguration"></a>

Gets information about the Device Defender audit settings for this account. Settings include how audit notifications are sent and which audit checks are enabled or disabled.

Requires permission to access the [DescribeAccountAuditConfiguration](https://docs.amazonaws.cn/service-authorization/latest/reference/list_awsiot.html#awsiot-actions-as-permissions) action.

## Request Syntax
<a name="API_DescribeAccountAuditConfiguration_RequestSyntax"></a>

```
GET /audit/configuration HTTP/1.1
```

## URI Request Parameters
<a name="API_DescribeAccountAuditConfiguration_RequestParameters"></a>

The request does not use any URI parameters.

## Request Body
<a name="API_DescribeAccountAuditConfiguration_RequestBody"></a>

The request does not have a request body.

## Response Syntax
<a name="API_DescribeAccountAuditConfiguration_ResponseSyntax"></a>

```
HTTP/1.1 200
Content-type: application/json

{
   "auditCheckConfigurations": { 
      "string" : { 
         "configuration": { 
            "string" : "string" 
         },
         "enabled": boolean
      }
   },
   "auditNotificationTargetConfigurations": { 
      "string" : { 
         "enabled": boolean,
         "roleArn": "string",
         "targetArn": "string"
      }
   },
   "roleArn": "string"
}
```

## Response Elements
<a name="API_DescribeAccountAuditConfiguration_ResponseElements"></a>

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

 ** [auditCheckConfigurations](#API_DescribeAccountAuditConfiguration_ResponseSyntax) **   <a name="iot-DescribeAccountAuditConfiguration-response-auditCheckConfigurations"></a>
Which audit checks are enabled and disabled for this account.  
Type: String to [AuditCheckConfiguration](API_AuditCheckConfiguration.md) object map

 ** [auditNotificationTargetConfigurations](#API_DescribeAccountAuditConfiguration_ResponseSyntax) **   <a name="iot-DescribeAccountAuditConfiguration-response-auditNotificationTargetConfigurations"></a>
Information about the targets to which audit notifications are sent for this account.  
Type: String to [AuditNotificationTarget](API_AuditNotificationTarget.md) object map  
Valid Keys: `SNS` 

 ** [roleArn](#API_DescribeAccountAuditConfiguration_ResponseSyntax) **   <a name="iot-DescribeAccountAuditConfiguration-response-roleArn"></a>
The ARN of the role that grants permission to Amazon IoT to access information about your devices, policies, certificates, and other items as required when performing an audit.  
On the first call to `UpdateAccountAuditConfiguration`, this parameter is required.  
Type: String  
Length Constraints: Minimum length of 20. Maximum length of 2048.

## Errors
<a name="API_DescribeAccountAuditConfiguration_Errors"></a>

 ** InternalFailureException **   
An unexpected error has occurred.    
 ** message **   
The message for the exception.
HTTP Status Code: 500

 ** ThrottlingException **   
The rate exceeds the limit.    
 ** message **   
The message for the exception.
HTTP Status Code: 400

## See Also
<a name="API_DescribeAccountAuditConfiguration_SeeAlso"></a>

For more information about using this API in one of the language-specific Amazon SDKs, see the following:
+  [Amazon Command Line Interface V2](https://docs.amazonaws.cn/goto/cli2/iot-2015-05-28/DescribeAccountAuditConfiguration) 
+  [Amazon SDK for .NET V4](https://docs.amazonaws.cn/goto/DotNetSDKV4/iot-2015-05-28/DescribeAccountAuditConfiguration) 
+  [Amazon SDK for C\$1\$1](https://docs.amazonaws.cn/goto/SdkForCpp/iot-2015-05-28/DescribeAccountAuditConfiguration) 
+  [Amazon SDK for Go v2](https://docs.amazonaws.cn/goto/SdkForGoV2/iot-2015-05-28/DescribeAccountAuditConfiguration) 
+  [Amazon SDK for Java V2](https://docs.amazonaws.cn/goto/SdkForJavaV2/iot-2015-05-28/DescribeAccountAuditConfiguration) 
+  [Amazon SDK for JavaScript V3](https://docs.amazonaws.cn/goto/SdkForJavaScriptV3/iot-2015-05-28/DescribeAccountAuditConfiguration) 
+  [Amazon SDK for Kotlin](https://docs.amazonaws.cn/goto/SdkForKotlin/iot-2015-05-28/DescribeAccountAuditConfiguration) 
+  [Amazon SDK for PHP V3](https://docs.amazonaws.cn/goto/SdkForPHPV3/iot-2015-05-28/DescribeAccountAuditConfiguration) 
+  [Amazon SDK for Python](https://docs.amazonaws.cn/goto/boto3/iot-2015-05-28/DescribeAccountAuditConfiguration) 
+  [Amazon SDK for Ruby V3](https://docs.amazonaws.cn/goto/SdkForRubyV3/iot-2015-05-28/DescribeAccountAuditConfiguration) 